package xyz.myachin.saveto.logic.url

import android.content.Intent
import xyz.myachin.saveto.logic.intent.ACTION_NEED_DOWNLOAD
import xyz.myachin.saveto.logic.intent.IntentProcessor

class UrlProcessor(private val ip: IntentProcessor) {
    fun processGoodUrl(): Intent {
        Intent().run {
            action = ACTION_NEED_DOWNLOAD
            type = "text/plain"
            putExtra(
                "ADD_DOWNLOAD_TASK",
                ip.mText
            )
            return this
        }
    }

    fun processBadUrl(): Intent {
        TODO()
    }
}